VPS侦探论坛

 找回密码
 注册
查看: 202|回复: 4

搭建好lnmp环境,如何启动.php文件

[复制链接]
发表于 2019-7-10 16:26:38 | 显示全部楼层 |阅读模式



现在环境已经搭建好了,要做一个tp5+gateway的聊天功能,根据网上教程,需在项目根目录启动server.php,使用php server.php start,现在不是安装了php-fpm,那么如何通过php-fpm启动这个server.php文件?还是我理解错误了,还是应该用php server.php start来启动,那php-fpm和php有什么区别呢,我php-fpm -v显示的版本是php5.5的,php -v显示的版本是php 5.4的,我是新手,求各位大佬帮忙解答一下疑惑
Linux下Nginx+MySQL+PHP自动安装工具:https://lnmp.org/
发表于 2019-7-11 08:49:11 | 显示全部楼层



php-fpm -v 和php -v 版本不统一肯定是有通过其他方式安装的php或php-fpm
php就是php,php-fpm简单说就是管理fastcgi的

直接使用全路径运行 /usr/local/php/bin/php /目录/server.php start
Linux下Nginx+MySQL+PHP自动安装工具:https://lnmp.org/
 楼主| 发表于 2019-7-11 09:25:00 | 显示全部楼层

我之前是有单独去安装过php,通过yum install php,但是这样安装的发现版本太低,后面又用lnmp一键安装了,这样会冲突吗?我php5.4,php-fpm -v是5.5的版本,那实际运行是哪个呢
Linux下Nginx+MySQL+PHP自动安装工具:https://lnmp.org/
发表于 2019-7-11 11:50:52 | 显示全部楼层



nineday 发表于 2019-7-11 09:25
我之前是有单独去安装过php,通过yum install php,但是这样安装的发现版本太低,后面又用lnmp一键安装了, ...

肯定是会有部分冲突的,使用yum卸载掉
正常应该是运行的lnmp的
Linux下Nginx+MySQL+PHP自动安装工具:https://lnmp.org/
 楼主| 发表于 2019-7-15 11:24:01 | 显示全部楼层



licess 发表于 2019-7-11 11:50
肯定是会有部分冲突的,使用yum卸载掉
正常应该是运行的lnmp的

好的,感谢,已经解决了
Linux下Nginx+MySQL+PHP自动安装工具:https://lnmp.org/
您需要登录后才可以回帖 登录 | 注册

本版积分规则

小黑屋|手机版|Archiver|VPS侦探 ( 鲁ICP备16040043号-1 )

GMT+8, 2019-8-20 08:02 , Processed in 0.056909 second(s), 26 queries .

Powered by Discuz! X3.4

© 2001-2017 Comsenz Inc.

快速回复 返回顶部 返回列表